> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enterpriseティアのブループリントを一覧表示する

<div id="permissions">
  ## 権限
</div>

Enterprise レベルの `ManageAccountSnapshots` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3beta1/enterprise/snapshot-setup/blueprints
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/snapshot-setup/blueprints:
    get:
      tags:
        - snapshot_setup
      summary: Enterpriseティアのブループリントを一覧表示する
      operationId: >-
        list_enterprise_blueprints_v3beta1_enterprise_snapshot_setup_blueprints_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintList'
          description: 成功レスポンス
components:
  schemas:
    BlueprintList:
      description: ブループリントのlistエンベロープ（実行順で返されます）。
      properties:
        data:
          items:
            $ref: '#/components/schemas/Blueprint'
          title: Data
          type: array
      required:
        - data
      title: BlueprintList
      type: object
    Blueprint:
      description: >-
        公開 ``Blueprint`` リソースの形式。


        注: ``type`` 列挙型には今後値が追加される可能性があります。クライアントは未知の値を必ず適切に処理する必要があります。YAML内容は
        ``GET /blueprints/{id}/contents`` で別途取得します。
      properties:
        blueprint_id:
          title: Blueprint Id
          type: string
        created_at:
          title: Created At
          type: integer
        repo_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Name
        type:
          enum:
            - enterprise
            - org
            - repo
          title: Type
          type: string
        updated_at:
          title: Updated At
          type: integer
      required:
        - blueprint_id
        - type
        - repo_name
        - created_at
        - updated_at
      title: Blueprint
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````